# Readme

Diese Anwendung demonstriert die Verwendung der VST API.

## Voraussetzungen

Um das Programmierbeispiel auszuführen benötigen Sie:
1. ein installiertes JDK ab Version 11
2. eine Java Entwicklungsumgebung (z.B. Eclipse) oder einen Editor

## Konfiguration

Die Konfiguration erfolgt über die Datei "src/main/resources/config.properties". Bitte in der Datei das Client Zertifikat noch konfigurieren.

### Ablage der Dateien

Die zu übermittelnden Datei sind in den Ordner "files_to_send" zu kopieren. Alle Xml Dateien in diesem Ordner werden an die VST übertragen. 
Die Antwort wird unter dem gleichen Dateinamen im Ordner "files_response" abgelegt.

## Starten des Programms

Zum Starten des Programms eine Shell im "rest-client-demo" Verzeichnis öffnen und anschließend folgendes Kommando ausführen:

Windows Shell

```
mvnw clean package exec:java
```

Linux Shell

```
./mvnw clean package exec:java
```
